Siduction Forum

Siduction Forum => Software - Support => Software Support (EN) => Topic started by: Lanzi on 2019/04/08, 16:37:10

Title: Amarok for some days to be removed
Post by: Lanzi on 2019/04/08, 16:37:10
Is it only me? I haven't read about it yet.Does anybbody knows anything about the matter?
I really want to DU, but I love my amarok :)
Code: [Select]
Die folgenden Pakete werden ENTFERNT: (to be removed)
  amarok libmariadbclient18
Title: Re: Amarok for some days to be removed
Post by: finotti on 2019/04/08, 17:16:21
FWIW: it's not only you, but I have no other information, other that you cannot install it in an updated machine:
Code: [Select]
# apt -s install amarok
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 amarok : Depends: libmariadbclient18 (>= 10.1.28) but it is not going to be installed
          Depends: libmariadbd18 but it is not installable
E: Unable to correct problems, you have held broken packages.

Title: Re: Amarok for some days to be removed
Post by: piper on 2019/04/08, 19:07:57
Amarok is qt4 and won't be released with buster, their is a *rumour that someone is working on a qt5 version of amarok but no news of "when" or "if"

Strawberry music player (https://www.strawbs.org/) is a fantastic replacement, It is a fork of Clementine.
Title: Re: Amarok for some days to be removed
Post by: Lanzi on 2019/04/10, 19:17:13
Hi Piper,
looks good to me. But its not in the repos as well, isn't it?
Does ist make sense to put amarok on hold?

Anynbody tested Elisa?
Title: Re: Amarok for some days to be removed
Post by: piper on 2019/04/18, 11:15:17
@lanzi and whoever

You could test this if you want

Code: [Select]
wget http://piper-sid.net/siduction/strawberry_0.5.3-1_amd64.deb

apt install ./strawberry_0.5.3-1_amd64.deb
Title: Re: Amarok for some days to be removed
Post by: samoht on 2019/04/18, 13:05:07
@Lanzi,

regarding news about Elisa, look at

https://mgallienkde.wordpress.com/2019/04/11/new-features-in-elisa/

Greetings,
Tom
Title: Re: Amarok for some days to be removed
Post by: seasons on 2019/04/21, 11:51:18
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921194
Title: Re: Amarok for some days to be removed
Post by: piper on 2019/04/21, 19:13:53
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=874811
Title: Re: Amarok for some days to be removed
Post by: sunrat on 2019/04/22, 08:31:02
I used Amarok for years and it was the best player for Linux for a long time. I have abandoned it for now as too many things don't work any more. Being a QT4 application they had to kludge too much to get it working at all on Plasma 5. However all is not lost, maybe:Make Amarok great again! - https://www.kdedigest.com/2019/04/more-than-year-since-its-last.html
Title: Re: Amarok for some days to be removed
Post by: titan on 2019/04/22, 11:58:38
I am trying Strawberry  https://strawbs.org/ as suggested by Piper, it is Qt5 and under active development, so far so good.
Title: Re: Amarok for some days to be removed
Post by: Lanzi on 2019/04/27, 22:00:25
Hi everybody,thanks for all the answers. I have ben away for two weeks, so now we can go on.
@PiperI doesn't work.

Code: [Select]
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dassSie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 strawberry : Hängt ab von: libvlc5 (>= 1:3.0.6) aber 3.0.6-1 soll installiert werden
              Hängt ab von: libxine2-bin (>= 1:1.2.9) aber 1:1.2.8-dmo5 soll installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
[/code]


@sunrat & seasons: Thanks for the links... I seems it's dead
@samhot: I will try it. Thanks.
Title: Re: Amarok for some days to be removed
Post by: titan on 2019/04/27, 22:53:46
I got it from here it installed fine.  https://builds.strawbs.net/debian/
Title: Re: Amarok for some days to be removed
Post by: Lanzi on 2019/04/28, 13:34:18
@titan: it worked. Thanks.